/* DropdownMenu.css */
.dropdown-menu {
  background-color: var(--aei-background-white);
  -webkit-filter: drop-shadow(0px 2px 8px rgba(0, 0, 0, 0.32));
  filter: drop-shadow(0px 2px 8px rgba(0, 0, 0, 0.32));
  padding: 8px 0;
  z-index: 2000;
  min-width: 220px;
  position: absolute;
  max-width: 90vw;
  transition: all 0.3s ease-in-out;
  border: 1px solid var(--aei-border-card-color);

  &:not(.dropdown-menu--no-notch):before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 14px;
    width: 10px;
    height: 10px;
    background-color: var(--aei-background-white);
    -webkit-transform: translateY(-50%) rotate(45deg);
    -moz-transform: translateY(-50%) rotate(45deg);
    -ms-transform: translateY(-50%) rotate(45deg);
    transform: translateY(-50%) rotate(45deg);
    z-index: 0;
    border: 1px solid;
    border-color: var(--aei-border-card-color) var(--aei-background-white) var(--aei-background-white) var(--aei-border-card-color);
  }

  > [href]:after {
    display: none;
  }
}

.dropdown-menu--hidden {
  display: none;
}

.dropdown-item {
  padding: 6px 16px;
  cursor: pointer;
  display: flex;
  gap: 0.5rem;
  align-items: center;
  flex: 0 1 0;
  background-image: none !important;
}

.dropdown-item:hover {
  background: #f0f0f0 !important;
}

.aei-filter-popover .fr-fieldset__legend {
  display: none;
}

/* Media query for mobile devices */
@media (max-width: 768px) {
  .dropdown-menu {
    position: fixed !important;
    bottom: 0 !important;
    left: 0 !important;
    width: 100vw !important;
    max-width: 100vw;
    min-width: 100vw;
    border-top: 1px solid #ddd;
    padding: 16px;
    box-shadow: none !important;
    top: unset !important;

    &.user-menu {
      height: 100vh;
    }
  }

  .dropdown-menu:before {
    display: none !important; /* Hide the notch on mobile to make it look more like a modal */
  }

  .aei-filter-popover .fr-fieldset__legend {
    display: block;
  }
}

.dropdown-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5); /* Fond noir transparent */
  z-index: 1800; /* S'assurer que l'overlay est sous le dropdown */
}
